API ReferenceProjects
Get a paginated list of projects
x-api-key<token>
Project-scoped API key. Keys carry either the ADMIN or TENANT role; a route additionally requires that the key's role is listed in its x-required-roles. Machine-to-machine callers should use this.
In: header
Query Parameters
limit?number
cursor?string
tenantId?string
status?string
Value in
- "active"
- "disabled"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects"{ "data": [ { "projectId": "string", "tenantId": "string", "name": "string", "description": "string", "status": "active", "webhookConfigs": [ { "webhookConfigId": "string", "endpoint": { "url": "http://example.com", "method": "POST", "headers": { "property1": "string", "property2": "string" }, "auth": { "type": "NONE", "token": "string", "username": "string", "password": "string" }, "timeoutMs": 0, "isActive": true }, "subscriptions": { "messageEvents": [ "QUEUED" ], "phoneEvents": [ "OPTED_OUT" ] } } ], "complianceSettings": { "optOutRemindersEnabled": true, "identityEnabled": true, "identity": "string" }, "createdAt": 0, "updatedAt": 0 } ], "cursor": "string", "hasMore": true}